//
//  InterfaceController.swift
//  GetLocation WatchKit Extension
//
//  Created by Wei-Meng Lee on 11/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {
    
    @IBOutlet weak var label: WKInterfaceLabel!
    @IBOutlet weak var map: WKInterfaceMap!
    
    @IBAction func btnGetMyLocation() {
        WKInterfaceController.openParentApplication([:]) {
            (replyDataFromPhone, error) -> Void in
            
            if replyDataFromPhone != nil {
                var location = replyDataFromPhone as NSDictionary
                var lat = location["lat"] as? String
                var lng = location["lng"] as? String
                var s = "Location is: \(lat!),\(lng!)"
                
                //self.label.setText(s)
                
                let loc = CLLocationCoordinate2D(
                    latitude: (lat! as NSString).doubleValue,
                    longitude: (lng! as NSString).doubleValue)
                
                let coordinateSpan =  MKCoordinateSpan(
                    latitudeDelta: 0.010, longitudeDelta: 0.010)

                self.map.setHidden(false)
                self.map.addAnnotation(loc, withPinColor: .Purple)
                self.map.setRegion(MKCoordinateRegion(center: loc, span: coordinateSpan))
                
            } else {
                self.label.setText("Can't get location")
            }
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        label.setText("")
        map.setHidden(true)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
