//
//  InterfaceController.swift
//  Sliders WatchKit Extension
//
//  Created by Wei-Meng Lee on 6/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    @IBOutlet weak var label: WKInterfaceLabel!
    
    @IBOutlet weak var slider: WKInterfaceSlider!
    
    @IBAction func sliderAction(value: Float) {
        label.setText("\(value)")
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        slider.setValue(0.0)
        label.setText("0.0")
        slider.setNumberOfSteps(5)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
