//
//  InterfaceController.swift
//  TextInputs WatchKit Extension
//
//  Created by Wei-Meng Lee on 5/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {
    /*
    @IBAction func btnSelectSymbol() {
        presentTextInputControllerWithSuggestions(
            ["AAPL", "AMZN", "FB", "GOOG"],
            allowedInputMode: WKTextInputMode.Plain)
            { (results) -> Void in
                if results != nil {
                    var symbol = results.first as String
                    self.lblSymbolSelected.setText("Symbol: " + symbol)
                }
            }
    }
    */
    
    @IBAction func btnSelectSymbol() {
        presentTextInputControllerWithSuggestions(
            ["AAPL", "AMZN", "FB", "GOOG"],
            allowedInputMode: WKTextInputMode.AllowEmoji)
            { (results) -> Void in
                if results != nil {
                    //---trying to see if the result can be converted to String---
                    var symbol = results.first as? String
                    if symbol != nil {
                       self.lblSymbolSelected.setText("Symbol: " + symbol!)
                    } else {
                        //---trying to see if the result can be converted to NSData---
                        if let emoji = results.first as? NSData {
                            let img = UIImage(data: emoji)
                            //---use the emoji, such as in an Image control---
                        }
                    }
                }
            }
    }
    
    @IBOutlet weak var lblSymbolSelected: WKInterfaceLabel!
    
    @IBOutlet weak var image: WKInterfaceImage!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        lblSymbolSelected.setText("")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
