//
//  InterfaceController.swift
//  WebServices WatchKit Extension
//
//  Created by Wei-Meng Lee on 13/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {
    
    @IBOutlet weak var label: WKInterfaceLabel!
    
    @IBAction func btnGetWeather() {

        //---send the country to the iOS app---
        var country = "SINGAPORE"
        let dataToPhone = [
            "country" : country,
        ]
        
        WKInterfaceController.openParentApplication(dataToPhone) {
            (replyDataFromPhone, error) -> Void in
            if replyDataFromPhone != nil {
                //---extract the temperature from the result returned by the iOS app---
                var temperature = replyDataFromPhone["temp"] as! Double
                var temperatureStr = String(format:"%.2f", temperature)
                
                self.label.setText("Temperature in " + country +
                    " is \(temperatureStr) Degrees Celsius")
            } else {
                self.label.setText("Error")
            }
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        label.setText("")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
