//
//  InterfaceController.swift
//  WebServices WatchKit Extension
//
//  Created by Wei-Meng Lee on 13/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {
    
    @IBOutlet weak var label: WKInterfaceLabel!
    
    @IBOutlet weak var image: WKInterfaceImage!
    
    @IBAction func btnGetWeather() {
        
        var defaults = NSUserDefaults(suiteName: "group.learningwatchkit.webservices.app")
        
        //---send the country to the iOS app---
        var country = defaults?.objectForKey("country") as! String
        let dataToPhone = [
            "country" : country,
        ]
        
        WKInterfaceController.openParentApplication(dataToPhone) {
            (replyDataFromPhone, error) -> Void in
            if replyDataFromPhone != nil {
                //---extract the temperature from the result returned by the iOS app---
                var temperature = replyDataFromPhone["temp"] as! Double
                var temperatureStr = String(format:"%.2f", temperature)
                
                self.label.setText("Temperature in " + country +
                    " is \(temperatureStr) Degrees Celsius")
                
                //---get the shared app group URL---
                var fileManager = NSFileManager.defaultManager()
                var storeUrl = fileManager.containerURLForSecurityApplicationGroupIdentifier(
                    "group.learningwatchkit.webservices.app")
                var fileURL = storeUrl?.URLByAppendingPathComponent("image.png")
                
                //---load the file into NSData---
                var imgData = NSData(contentsOfURL: fileURL!)
                if imgData != nil {
                    //---display the image---
                    self.image.setImageData(imgData)
                }
            } else {
                self.label.setText("Error")
            }
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        label.setText("")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
